--------------------------------------------------------------------------------
                            -- EuVIDE: version.e --
--------------------------------------------------------------------------------
--/*
--<HTML>
--<HEAD>
--<Title>Library: version</TITLE>
--<LINK HREF=eustyle.css REL="STYLESHEET" TYPE="text/css">
--</HEAD>
--<BODY>

--<h1>version.e</h1>
-- The following version details are stored within the library:
--<ul>
--*/
constant
--/*
--<li>short_name: euVIDE
--*/
    short_name = "euVIDE",
--/*
--<li>Application: Euphoria Visual IDE (euVIDE) for Win32Lib
--*/
    Application  = "Euphoria Visual IDE (euVIDE) for Win32Lib",
--/*
--<li>Version build date: 20 November 2012
--*/
    Build_date = "20 November 2012",
--/*
--<li>Version: 1.0.6
--*/
    Version = "1.0.6",
--/*
--<li>argument_options = {"prj"}
--*/    
    argument_options = {"prj"}
--/*    
--</ul>
--*/
--------------------------------------------------------------------------------
--/*
--<h2>Version Information</h2>
--<h3>Personnel</h3>
-- Author: Charles Newbould
--<h3>Application</h3>
-- Version: 1.0.0 (April 2011)

--<h2>Interface</h2>
--<h3>Routines</h3>
-- The library provides the following routines:
--<ul>
--<li>A set of accessor functions to return the values stored within this
--    library:
--<ul>
--<li>get_application_name()
-- - returns the full name of the application
--*/    
--------------------------------------------------------------------------------
global function get_application_name()
    return Application
end function
--------------------------------------------------------------------------------
--/*
--<li>get_short_application_name()
-- - returns the short name of the application
--*/    
--------------------------------------------------------------------------------        
global function get_short_application_name()
    return short_name
end function
--------------------------------------------------------------------------------    
--/*
--<li>get_version_number()
-- - returns the current version number of the application
--*/    
--------------------------------------------------------------------------------        
global function get_version_number()
    return Version
end function
--------------------------------------------------------------------------------    
--/*
--<li>get_build_date()
-- - returns the build date of this version of the application
--*/    
--------------------------------------------------------------------------------        
global function get_build_date()
    return Build_date
end function
--------------------------------------------------------------------------------    
--/*
--<li>get_argument_options()
-- - returns the sequence of file extensions that the application can open
--*/    
--------------------------------------------------------------------------------        
global function get_argument_options()
    return argument_options
end function
--------------------------------------------------------------------------------    
--/*
--</ul>
--</ul>
--*/
--------------------------------------------------------------------------------
--/*
--</ul>
--</BODY>
--</HTML>
--*/
--------------------------------------------------------------------------------